Bug 1185207 - ipa-client dont end new line character in /etc/nsswitch.conf
Summary: ipa-client dont end new line character in /etc/nsswitch.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-23 09:03 UTC by Arpit Tolani
Modified: 2019-08-15 04:12 UTC (History)
5 users (show)

Fixed In Version: ipa-3.0.0-43.el6
Doc Type: Bug Fix
Doc Text:
If ipa-client-install updated or created the /etc/nsswitch.conf file, the sudo utility could terminate unexpectedly with a segmentation fault. With this update, ipa-client-install puts a new line character at the end of nsswitch.conf if it modifies the last line of the file. Now, sudo works as expected in this situation.
Clone Of:
Environment:
Last Closed: 2015-07-22 07:39:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1462 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2015-07-21 14:14:52 UTC

Description Arpit Tolani 2015-01-23 09:03:48 UTC
Description of problem:
ipa-client dont end new line character in /etc/nsswitch.conf 


Version-Release number of selected component (if applicable):
ipa-client-3.0.0-42.el6

How reproducible:
100%

Steps to Reproduce:
1. Install new RHEL6.6 & configure it as LDAP client

Actual results:

ipa-client script should add new line character in the end of /etc/nsswitch.conf

[root@ipaclient ~]#tail -1 /etc/nsswitch.conf
sudoers: files sss[root@ipaclient ~]#

Expected results:

[root@ipaclient ~]#tail -1 /etc/nsswitch.conf
sudoers: files sss
[root@ipaclient ~]#

Comment 1 Martin Kosek 2015-01-23 09:11:25 UTC
Yes, this is a valid bug. Is a fix in RHEL-6.7 sufficient for the customer?

Comment 2 Arpit Tolani 2015-01-23 09:59:23 UTC
(In reply to Martin Kosek from comment #1)
> Yes, this is a valid bug. Is a fix in RHEL-6.7 sufficient for the customer?

Yes.

Comment 3 Martin Kosek 2015-01-23 13:15:58 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4864

Comment 7 Xiyang Dong 2015-03-31 14:17:11 UTC
Verified on ipa-client-3.0.0-45.el6.x86_64:

[root@idm-qe-03 ~]# tail -1 /etc/nsswitch.conf
sudoers: files sss
[root@idm-qe-03 ~]# ipa-client-install 
Discovery was successful!
Hostname: idm-qe-03.testrelm.test
Realm: TESTRELM.TEST
DNS Domain: testrelm.test
IPA Server: idm-qe-02.testrelm.test
BaseDN: dc=testrelm,dc=test

Continue to configure the system with these values? [no]: y
.
.
.
Client configuration complete.

[root@idm-qe-03 ~]# tail -2 /etc/nsswitch.conf
sudoers: files sss

Comment 9 errata-xmlrpc 2015-07-22 07:39:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1462.html


Note You need to log in before you can comment on or make changes to this bug.